type ModalType = string;
interface UseModal<T> {
    actions: {
        onClose: () => void;
        onOpen: (data?: T) => void;
    };
    isOpen: boolean;
    data?: T;
}
declare function useModalActions<T>(type: ModalType): UseModal<T>['actions'];
declare function useModalOpen<T>(type: ModalType): UseModal<T>['isOpen'];
declare function useModalData<T>(type: ModalType): T | undefined;
declare function switchModal<T>(currentType: ModalType, targetType: ModalType): void;

export { UseModal, switchModal, useModalActions, useModalData, useModalOpen };
